rimrunner
Posts: 5
Joined: Sat Aug 24, 2019 11:44 am

Kernel downgrading with apt-get? (Raspbian)

Tue Jan 21, 2020 4:19 pm

I try to downgrade my kernel to the version which my driver writing study book uses.

Is it possible simply to get earlier kernel version running by installing its image and header package with apt-get?

I found the right LTS-kernel version from repositories but merely installing the kernel image & header packages did not do it.

What else should be done or is this a wrong way?

My computer is RPI3 with Raspbian Stretch (the second latest release)

trejan
Posts: 1112
Joined: Tue Jul 02, 2019 2:28 pm

Re: Kernel downgrading with apt-get? (Raspbian)

Tue Jan 21, 2020 5:05 pm

What version is in the book? It is likely that the interfaces haven't changed significantly so your current kernel is fine. If it has changed then you should learn the new method anyway.

User avatar
DougieLawson
Posts: 37083
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website Twitter

Re: Kernel downgrading with apt-get? (Raspbian)

Tue Jan 21, 2020 5:21 pm

apt-get will get you a 4.19.93 kernel (as at yesterday).

Why do you think you need something that's not the current stable kernel?
Note: Having anything humorous in your signature is completely banned on this forum. Wear a tin-foil hat and you'll get a ban.

Any DMs sent on Twitter will be answered next month.

This is a doctor free zone.

rimrunner
Posts: 5
Joined: Sat Aug 24, 2019 11:44 am

Re: Kernel downgrading with apt-get? (Raspbian)

Tue Jan 21, 2020 6:24 pm

trejan wrote:
Tue Jan 21, 2020 5:05 pm
What version is in the book? It is likely that the interfaces haven't changed significantly so your current kernel is fine.
4.9. and I currently have 4.19 installed.
If it has changed then you should learn the new method anyway.
Well, my first step is to get something working and I'd like to be sure that when things go wrong it's not because of kernel version.

User avatar
DougieLawson
Posts: 37083
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website Twitter

Re: Kernel downgrading with apt-get? (Raspbian)

Tue Jan 21, 2020 7:06 pm

Raspbian hasn't been supported with a 4.9.xx kernel since Raspbian Stretch in February 2018. So what you're trying to do isn't logical and will lead to a system that won't boot on whatever RPi hardware you're using.

Just go with the current stable kernel (raspberrypi-kernel & raspberrypi-bootloader packages).
Note: Having anything humorous in your signature is completely banned on this forum. Wear a tin-foil hat and you'll get a ban.

Any DMs sent on Twitter will be answered next month.

This is a doctor free zone.

Return to “Advanced users”